<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
 
<jsp:include page="resultNavigation.jsp"/>

<h2>The simulation returned the following result</h2>
<div>
This page displays the coarse results of the simulation run. At the buttom 
of the page you will find a histogram which shows the distribution of the 
earnings. This migth be helpful for risk analysis. 
</div>

<table style="margin-top: 50px">

	<tr style="font-weight: bold; font-stretch: wider;">
		<td colspan="10">coarse results</td>
	</tr>

	<tr>
		<td>average earning</td>
		<td><bean:write name="MCForm" property="earningAverage" /></td>
	</tr>

	<tr>
		<td>worst earning</td>
		<td><bean:write name="MCForm" property="earningMinimum" /></td>
	</tr>

	<tr>
		<td>best earning</td>
		<td><bean:write name="MCForm" property="earningMaximum" /></td>
	</tr>

</table>

<table style="margin-top: 50px">

	<tr style="font-weight: bold; font-stretch: wider;">
		<td colspan="10">histogram of results</td>
	</tr>

	<tr>
		<td><!-- nasty trick to avoid browser caching --> 
		<img	src="<%=request.getContextPath() %>/histogramImageServlet?t=<%=System.currentTimeMillis()%>" alt="histogram" ></td>
	</tr>

</table>


<%@ include file="commonBody.jsp"%>
