/*
 * Created on Aug 30, 2007
 *
 */
package com.x8ing.mc.bp;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.util.Locale;

/**
 * @author Patrick Heusser
 */
public class Constants {

	public static final String GLOBAL_DATE_FORMAT = "yyyy.MM.dd";

	private static final String GLOBAL_CURRENY_FORMAT = "+##,###,###.00;-##,###,###.00";

	public static final boolean TRACE_DEBUG = false;

	/**
	 * for swiss like formating even on engl locale machines.
	 */
	public static DecimalFormat createCurrencyFormater() {

		DecimalFormatSymbols symb = new DecimalFormatSymbols(Locale.GERMANY);
		symb.setGroupingSeparator('\'');

		DecimalFormat df = new DecimalFormat(GLOBAL_CURRENY_FORMAT, symb);

		return df;

	}
}
