/*
 * Created on Aug 29, 2007
 *
 */
package com.x8ing.mc.bp.develop;

import com.x8ing.lsm4j.Condition;
import com.x8ing.lsm4j.StateContext;
import com.x8ing.mc.bp.BusinessContext;

/**
 * 
 * @author Patrick Heusser
 */
public class DeployAndReleaseCondition implements Condition {

	private boolean inverse = false;

	public DeployAndReleaseCondition(boolean inverse) {
		this.inverse = inverse;
	}

	/**
	 * @see com.x8ing.lsm4j.Condition#traceInfo()
	 */
	public String traceInfo() {

		return "";
	}

	/**
	 * @see com.x8ing.lsm4j.Condition#conditionTrue(com.x8ing.lsm4j.StateContext)
	 */
	public boolean conditionTrue(StateContext currentContext) {

		boolean ret = ((BusinessContext) currentContext).isDeployedWithSucess();

		return inverse ? !ret : ret;

	}

}
