/*
 * Created on Aug 30, 2007
 *
 */
package com.x8ing.mc.distribution;

/**
 * Implements a certain distribution of random numbers, e.g. Gauss.
 * 
 * @author Patrick Heusser
 */
public interface RandomDistribution {

	/**
	 * Returns the the distribution normalized between 0..1 and the the values 0...1.
	 * 
	 * @return
	 */
	public double getNextRandomNumber();

}
