/*
 * Created on May 17, 2007
 */
package com.x8ing.lsm4j;

import com.x8ing.lsm4j.state.ProcessableState;

/**
 * This optional data holder can be attached to a State {@link ProcessableState}. In contrast to the StateContext, this
 * data holder is not shared and only visible for the state that it was attached.
 * <p>
 *
 * The meta information can be retrieved in the Action using the reference to the ProcessableState, which then returns
 * the meta information. {@link com.x8ing.lsm4j.state.StaticState#getStateMetaInformation()}.
 * <p>
 * The usage of this interface is optional.
 *
 * @author Patrick Heusser
 */
public interface StateMetaInformation {

}
