/**
 * there is no transparent function for all browsers. script adapted from quirksmode.org.
 */
function getWindowWidth() {
	
	var x;

	if (self.innerHeight) // all except Explorer
	{
		x = self.innerWidth;
	}
	else if (document.documentElement && document.documentElement.clientHeight)
		// Explorer 6 Strict Mode
	{
		x = document.documentElement.clientWidth;
	}
	else if (document.body) // other Explorers
	{
		x = document.body.clientWidth;
	}
	
	return x;
}

/**
 * there is no transparent function for all browsers. script adapted from quirksmode.org.
 */
function getWindowHeigth() {
	
	var y;
	
	if (self.innerHeight) // all except Explorer
	{
		y = self.innerHeight;
	}
	else if (document.documentElement && document.documentElement.clientHeight)
		// Explorer 6 Strict Mode
	{
		y = document.documentElement.clientHeight;
	}
	else if (document.body) // other Explorers
	{
		y = document.body.clientHeight;
	}
	
	return y;
}

/**
 * opens a new window. to be W3C strict compliant target=_blank is not allowed, this
 * a convenience method.
 */
function newWindow(callee) {

	window.open(callee.href); 
	return false;
}
