<%@ include file="startNavigation.jsp"%>
 
<h2>Monte Carlo Simulation parameters</h2>

<div id="div1"
	style="display: none; visibility: hidden; border: solid; border-top-style: ridge; margin-top:  30px;  position: fixed; background-color: rgb(220,130,130); outline-color: rgb(120,70,70)">
	<p style="text-align: center ; font-style:italic; margin-top: 20px; margin-bottom: 20px">Please stand by... <br>
	&nbsp;Simulation takes a couple of seconds...&nbsp;
	</p>
</div>  

<%@ include file="validationErrors.jsp"%>

<html:form action="/processMC.do">
	
	<p style="margin-bottom: 30px">
	To start the simulation with the parameters listed below please click the start button &nbsp; &nbsp;
	<input style="text-align:center; font-weight:bold; background-color: rgb(220,130,130)" type="button" onclick="displayInfo(this); disableButtonsAndSubmit('<%=com.x8ing.mc.web.ProcessMCAction.REQ_PARAM_BUTTON_START %>')" value="start"  /> &nbsp;
	<input style="text-align:center; background-color: rgb(220,130,130)" type="button" onclick="return disableButtonsAndSubmit('<%=com.x8ing.mc.web.ProcessMCAction.REQ_PARAM_BUTTON_RESET %>');" value="reset"  />
	</p>

	<table>
	
		<colgroup>
			<col width="5%">
			<col width="75%">
			<col width="5%">
			<col width="15%">
		</colgroup>

		<tr style="font-weight: bold; font-stretch: wider;">
			<td colspan="10">global simulation settings</td>
		</tr>

		<tr>
			<td>T001</td>
			<td>number of simulation days within one simulation iteration (the higher value, the longer
			simulation takes to complete)</td>
			<td><html:text name="MCForm"
				property="configuration.numberOfSimulationDays" /></td>
			<td>days</td>
		</tr>

		<tr>
			<td>T002</td>
			<td>number of simulation iterations (the higher value, the longer
			simulation takes to complete)</td>
			<td><html:text name="MCForm"
				property="configuration.numberCompleteSimulationLoops" /></td>
			<td>iterations</td>
		</tr>

		<tr>
			<td>T003</td>
			<td>collect number of business context for showing in result. 
			(since collecting all detailed results would use to much memory, only
			a few random contexts are collected for in depth diagnostics.)
			</td>
			<td><html:text name="MCForm"
				property="configuration.collectMaxNumberOfBusinessContext" /></td>
			<td>number</td>  
		</tr>

	</table>

	<table style="margin-top: 50px">
	
		<colgroup>
			<col width="5%">
			<col width="75%">
			<col width="5%">
			<col width="15%">
		</colgroup>
	

		<tr style="font-weight: bold; font-stretch: wider;">
			<td colspan="10">business process general settings</td>
		</tr>

		<tr>
			<td>G001</td>
			<td>delivered software non conformity costs (this is the main
			variable. it describes the quality of our software, respectively the
			decrease in the process value)</td>
			<td><html:text name="MCForm"
				property="configuration.softwareInitialNoncCnformityCost" /></td>
			<td>currency</td>
		</tr>

		<tr>
			<td>G002</td>
			<td>the planned process gain (the earning that we expect of the whole
			process). it's an expection. and the value will be decreased by
			the current software non conformity costs, which itself will be
			reduced by defect fixing over the time.</td>
			<td><html:text name="MCForm"
				property="configuration.pannedProcessGain" /></td>
			<td>currency</td>
		</tr>

		<tr>
			<td>G003</td>
			<td>the cost loss caused through all known bugs must be greater then
			this trigger value to start fixing of defects</td>
			<td><html:text name="MCForm"
				property="configuration.processCostLossTriggerForBugFixing" /></td>
			<td>currency</td>
		</tr>

		<tr>
			<td>G004</td>
			<td>the cost loss caused by an complete operation outage for one day.</td>
			<td><html:text name="MCForm"
				property="configuration.operationCostForOutagePerDay" /></td>
			<td>currency</td>
		</tr>

		<tr>
			<td>G010</td>
			<td>defines the cost for a bug fix: aspect gaussian standard
			deviation (values: 1=68%, 2=95%, 3=99.7%, 4=99.9)</td>
			<td><html:text name="MCForm"
				property="configuration.distributionBugFixingCostStdDev" /></td>
			<td>distribution: stdDev</td>
		</tr>

		<tr>
			<td>G011</td>
			<td>defines the cost for a bug fix: aspect gaussian minimum</td>
			<td><html:text name="MCForm"
				property="configuration.distributionBugFixingCostMin" /></td>
			<td>distribution: min</td>
		</tr>

		<tr>
			<td>G012</td>
			<td>defines the cost for a bug fix: aspect gaussian maximum</td>
			<td><html:text name="MCForm"
				property="configuration.distributionBugFixingCostMax" /></td>
			<td>distribution: max</td>
		</tr>

	</table>

	<table style="margin-top: 50px">

		<colgroup>
			<col width="5%">
			<col width="75%">
			<col width="5%">
			<col width="15%">
		</colgroup>

		<tr style="font-weight: bold; font-stretch: wider;">
			<td colspan="10">business process settings: action fix costs</td>
		</tr>

		<tr>
			<td>F001</td>
			<td>costs for testing</td>
			<td><html:text name="MCForm"
				property="configuration.costActionTesting" /></td>
			<td>currency</td>
		</tr>

		<tr>
			<td>F002</td>
			<td>costs for documentation and finishing the bug fixing process</td>
			<td><html:text name="MCForm"
				property="configuration.costActionDocumentAndFinishProcess" /></td>
			<td>currency</td>
		</tr>

		<tr>
			<td>F003</td>
			<td>costs for deploying and releasing of a new software</td>
			<td><html:text name="MCForm"
				property="configuration.costActionDeployAndRelease" /></td>
			<td>currency</td>
		</tr>

		<tr>
			<td>F004</td>
			<td>costs for impact analysis of a newly dicovered bug</td>
			<td><html:text name="MCForm"
				property="configuration.costActionAnalyzeCostLoss" /></td>
			<td>currency</td>
		</tr>

		<tr>
			<td>F005</td>
			<td>costs for adding a bug the fix-later-list in case where it was
			not worth to fix it immediately</td>
			<td><html:text name="MCForm"
				property="configuration.costActionAddBugToFixList" /></td>
			<td>currency</td>
		</tr>

	</table>

	<table style="margin-top: 50px">

		<colgroup>
			<col width="5%">
			<col width="75%">
			<col width="5%">
			<col width="15%">
		</colgroup>

		<tr style="font-weight: bold; font-stretch: wider;">
			<td colspan="10">business process settings: probabilites</td>
		</tr>

		<tr>
			<td>P001</td>
			<td>probability that the production system suffers an outage</td>
			<td><html:text name="MCForm"
				property="configuration.chanceOperationHasOutage" /></td>
			<td>percentage</td>
		</tr>

		<tr>
			<td>P002</td>
			<td>probability that the incident team resolves an production outage
			within the day of occurence</td>
			<td><html:text name="MCForm"
				property="configuration.chanceOperationDownResolvingWithSuccess" />
			</td>
			<td>percentage</td>
		</tr>

		<tr>
			<td>P003</td>
			<td>probability for finding a new bug</td>
			<td><html:text name="MCForm"
				property="configuration.chanceForFindingANewBugInProduction" /></td>
			<td>percentage</td>
		</tr>
		
		<tr>
			<td>P004</td>
			<td>probability that a developer fixes a bug on the first try with
			success</td>
			<td><html:text name="MCForm"
				property="configuration.chanceFixBugWithSuccess" /></td>
			<td>percentage</td>
		</tr>

		<tr>
			<td>P005</td>
			<td>probability that a previously fixed bug passes the software
			testing by the first time</td>
			<td><html:text name="MCForm"
				property="configuration.chanceTestingBugWithSuccess" /></td>
			<td>percentage</td>
		</tr>

		<tr>
			<td>P006</td>
			<td>chance that a software package which is ready for release will
			be deployed correctly by the first time</td>
			<td><html:text name="MCForm"
				property="configuration.chanceDeployAndRealeaseDeploymentSuccess" /></td>
			<td>percentage</td>
		</tr>
		

	</table>

</html:form>

<script type="text/javascript">
<!-- 
 
function displayInfo(name) {
	
	var d = document.getElementById('div1');
	var width = 310;
	 
	d.style.width=width+"px";
	d.style.top=getWindowHeigth() / 2 - 130 +"px";
	d.style.left=getWindowWidth() / 2 - (width/2) + "px";
	
	d.style.display="inline";
	d.style.visibility="visible";
	
}

function disableButtonsAndSubmit(name) {

	// search all buttons and disable them
	var inputs = document.getElementsByTagName("input");
	if(inputs!=null) {
		for(var i=0; i<inputs.length; i++) {
			if(inputs[i].type=="button") {
				inputs[i].disabled = true;
			}
		}
	}
 
	// create a hidden input element on the fly and add it to form
	var el = document.createElement("input");
	var att1 = document.createAttribute("name");
	var att2 = document.createAttribute("type");
	
	att1.nodeValue = name;
	att2.nodeValue = "hidden";
	el.setAttributeNode(att1);
	el.setAttributeNode(att2);
	
	var form = document.getElementsByName("MCForm")[0];
	
	form.appendChild(el);
	
	// submit the form
	form.submit();

}

//-->
</script>


<% request.setAttribute(com.x8ing.mc.web.ConstantsWeb.JSP_PARAM_SHOW_W3C_VALIDATOR, "true"); %>
<%@ include file="commonBody.jsp"%>

