/*
 * Created on May 14, 2007
 */
package com.x8ing.lsm4j.processable;

import com.x8ing.lsm4j.state.StaticState;

import junit.framework.TestCase;

/**
 * 
 * @author Patrick Heusser
 */
public class StaticStateTest extends TestCase {

    public void testEquals() {

        StaticState state1Instance1 = new StaticState(1, "desc1");
        StaticState state1Instance2 = new StaticState(1, "desc1");
        StaticState state2 = new StaticState(2, "desc1");
        StaticState state3 = new StaticState(3, "descDifferent");

        // same object, different instance
        assertTrue(state1Instance1.equals(state1Instance2));
        assertTrue(state1Instance2.equals(state1Instance1));

        // self test
        assertTrue(state1Instance2.equals(state1Instance2));
        assertTrue(state1Instance1.equals(state1Instance1));

        // different
        assertFalse(state1Instance1.equals(null));
        assertFalse(state1Instance1.equals(state2));
        assertFalse(state1Instance1.equals(state3));
        assertFalse(state1Instance2.equals(null));
        assertFalse(state1Instance2.equals(state2));
        assertFalse(state1Instance2.equals(state3));

        assertFalse(state2.equals(state3));
        assertFalse(state3.equals(state2));

    }

}
