/*
 * Created on May 14, 2007
 */
package com.x8ing.lsm4j.state;

import com.x8ing.lsm4j.Action;
import com.x8ing.lsm4j.StateContext;
import com.x8ing.lsm4j.StateMetaInformation;

/**
 * 
 * 
 * @author Patrick Heusser
 */
public class ProcessableState extends StaticState {

	private StateContext currentStateContext = null;

	private Action action = null;

	private boolean endState = false;

	public ProcessableState(int uniqueID, String description, Action action, boolean isEndState,
			StateMetaInformation stateMetaInformation) {
		this(uniqueID, description, action, isEndState);
		setStateMetaInformation(stateMetaInformation);
	}

	public ProcessableState(int uniqueID, String description, Action action, boolean isEndState) {

		super(uniqueID, description);
		this.action = action;
		this.endState = isEndState;
	}

	public StateContext getCurrentStateContext() {
		return currentStateContext;
	}

	public void setCurrentStateContext(StateContext currentStateContext) {
		this.currentStateContext = currentStateContext;
	}

	public boolean isEndState() {
		return endState;
	}

	public void setEndState(boolean endState) {
		this.endState = endState;
	}

	public Action getAction() {
		return action;
	}

	public void setAction(Action action) {
		this.action = action;
	}
}
